<?php

/**
 * Page callback.
 * @param object|\Drupal\cfrpreset\CfrPreset\CfrPresetInterface $record
 *
 * @return array|string
 */
function _cfrpreset_preset_devel_page($record) {
  $conf = _cfrpreset_preset_get_plugin_conf($record);
  $handler = cfrplugin()->interfaceGetConfigurator($record->interface)->confGetValue($conf);

  $output = '';
  if (function_exists('Drupal\krumong\dpm')) {
    $output .= '<h2>' . t('Configuration') . '</h2>';
    $output .= krumong()->dump($conf);
    $output .= '<h2>' . t('Handler') . '</h2>';
    $output .= krumong()->dump($handler);
  }
  elseif (function_exists('kdevel_print_object')) {
    $output .= '<h2>' . t('Configuration') . '</h2>';
    $output .= kdevel_print_object($conf);
    $output .= '<h2>' . t('Handler') . '</h2>';
    $output .= kdevel_print_object($handler);
  }
  else {
    return t('Devel is not installed.');
  }

  return $output;
}
